org.opencv.tracking

## Class TrackerBoosting

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.Tracker
    - - org.opencv.tracking.TrackerBoosting

-     public class TrackerBoosting
      extends Tracker

  the Boosting tracker This is a real-time object tracking based on a novel on-line version of the AdaBoost algorithm. The classifier uses the surrounding background as negative examples in update step to avoid the drifting problem. The implementation is based on CITE: OLB .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrackerBoosting(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackerBoosting` | `__fromPtr__(long addr)`
    `static TrackerBoosting` | `create()` Constructor
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.tracking.Tracker

      `init, update`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerBoosting

          protected TrackerBoosting(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerBoosting __fromPtr__(long addr)

    - #### create

          public static TrackerBoosting create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8